<footer>
    <mat-form-field>
        <mat-label>Новая задача</mat-label>
        <textarea matInput
            cdkTextareaAutosize
            #autosize="cdkTextareaAutosize"
            cdkAutosizeMinRows="1"
            cdkAutosizeMaxRows="5"
            (keydown.control.enter)="submit()"
            [(ngModel)]="title"
        ></textarea>
    </mat-form-field>

    <button
        type="submit"
        class="btn btn-primary btn-block"
        [disabled]="!title"
        (click)="submit()"
    >Добавить</button>
</footer>